This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: 0x80070643, can't install any version
Type: crash Stage: resolved
Components: Installation, Windows Versions: Python 3.8
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: BSMMedia, WildCard65, iritkatriel, paul.moore, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2020-08-07 12:54 by BSMMedia, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Messages (4)
msg374996 - (view) Author: BSM and 102 others (BSMMedia) Date: 2020-08-07 12:54
I wanted to install Python 3.8, but I poorly removed a previous version of Python 3.3 through the "permanently delete" function. I started the installer and it gave me a 0x80070643 error with a log similar to the link provided(https://pastebin.com/RzQEttiL). I then try and uninstall via the Control Panel, but it does nothing. "Change" brings up a 3.3 launcher, but that crashes as well. "Repair" brings up a message saying "Fatal error during installation", so I switch to installing via a 3.3.3 64bit launcher, which crashes, then I switch to a non-64bit one, and that crashes. I also try toggling PATH, but that changes nothing. And now I am stuck.
msg375046 - (view) Author: William Pickard (WildCard65) * Date: 2020-08-08 12:27
Try what's explained here:
https://support.microsoft.com/en-us/help/2438651/how-to-troubleshoot-windows-installer-errors
msg375074 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2020-08-09 16:10
The Python 3.8 and 3.3 installers will not conflict at all, as they are completely different.

If that is your log file, we'll also need the file in your %TEMP% directory that includes "core_JustForMe" in the name, as that's the subinstaller that's failing.

Unfortunately, the error code is very generic, but the most common reason for this MSI to fail is because you've already got an install of an earlier version of 3.8 that was installed for all users (by an administrator), which the per-user installer cannot remove.
msg401336 - (view) Author: Irit Katriel (iritkatriel) * (Python committer) Date: 2021-09-07 19:30
Closing as there isn't enough information to do anything about this and there was not response from the OP to followup questions.
History
Date User Action Args
2022-04-11 14:59:34adminsetgithub: 85673
2021-09-07 19:30:04iritkatrielsetstatus: open -> closed

nosy: + iritkatriel
messages: + msg401336

resolution: wont fix
stage: resolved
2020-08-09 16:10:18steve.dowersetmessages: + msg375074
2020-08-08 12:27:10WildCard65setnosy: + WildCard65
messages: + msg375046
2020-08-08 09:47:14ronaldoussorensetnosy: + paul.moore, tim.golden, zach.ware, steve.dower
components: + Windows
2020-08-07 12:54:37BSMMediacreate